Package org.gradle.api

# Interface Rule

public interface Rule

A `Rule` represents some action to perform when an unknown domain object is referenced. The rule can use the domain object name to add an implicit domain object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(String domainObjectName)`
  Applies this rule for the given unknown domain object.
  `String`
  `getDescription()`
  Returns the description of the rule.

- ## Method Details

  - ### getDescription

    String getDescription()
    Returns the description of the rule. This is used for reporting purposes.
    Returns:
      the description. should not return null.

  - ### apply

    void apply(String domainObjectName)
    Applies this rule for the given unknown domain object. The rule can choose to ignore this name, or add a domain object with the given name.
    Parameters:
      `domainObjectName` - The name of the unknown domain object.